Votre question

Question toute simple pour logiciel sous Ubuntu

Tags :
  • Ubuntu
  • Logiciels
Dernière réponse : dans Logiciels
21 Novembre 2006 17:03:23

Salut à tous,

J'ai une questions toute bête pour les habitué d'Ubuntu mais je ne trouve toujours pas la solution !
Voilà, immaginons que j'ai télécharger un logiciel blabla.iso
Que dois-je faire pour l'installer ??

En gros, dois-je désarchiver le fichier ?

Quel commande dois-je taper pour qu'il l'installe ?

j'ai cherché sur Ubuntu-fr mais je n'ai rien trouvé, pourriez-vous m'aider svp ??

Merci d'avance pour votre aide !

Autres pages sur : question simple logiciel ubuntu

21 Novembre 2006 17:17:59

un fichier iso est une image cd non ?
dans ce cas, tu peux le graver avec k3b ...
23 Novembre 2006 19:27:21

J'ai télécharger un logiciel pour rendre mon exemple plus concret :) 

Voilà, j'ai télécharger Winboard sur le bureau, et j'ai une archive sur mon bureau qui porte ce nom:
xboard-4.2.7.tar.gz

Ma question est toute simple: Quel sont les étapes précises pour l'installer ?

Merci !
Contenus similaires
23 Novembre 2006 19:30:23

un tar.gz n'est pas un .iso ;) 
en ligne de commandes, tu tapes:
tar -xvzf xboard-4.2.7.tar.gz

ou alors tu fais ca avec ton gestionnaire d'archives ark
23 Novembre 2006 19:50:20

Merci pour ta réponse
j'ai essayé mais j'ai eu un message d'erreur dans la ligne de commande:

Citation :
tar: xboard-4.2.7.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous errors


edit: j'ai désarchivé pour voir, là il m'a marqué au moins 200 lignes de ce genre:
Citation :
xboard-4.2.7/xedittags.c
xboard-4.2.7/xedittags.h
xboard-4.2.7/xgamelist.c
xboard-4.2.7/xgamelist.h
xboard-4.2.7/xhistory.c
xboard-4.2.7/xhistory.h
xboard-4.2.7/zic2xpm.c
xboard-4.2.7/zic2xpm.man


Mais le logiciel n'est toujours pas installé, c'est normal?

Merci pour ta patience :) 
23 Novembre 2006 20:31:02

oui c'est normal il a juste désarchivé.
Ensuite il faut installer en configurant les sources, compilant puis installant
(soit configure, make , make install)
plus d'infos ici: http://www.lea-linux.org/cached/index/Fiches:Administra...

mais sinon, comme ubuntu est basé sur Debian, tu peux te servir d'apt-get ou meme mieux aptitude .
Enfin ca ne marche que pour les logiciels etudiés pour ca (.deb) ...
je ne pense pas que dans ton cas x-board soit dispo en .deb
26 Novembre 2006 06:12:30

dans mon lien, tu suis methode a l'ancienne.
le lien que ty donnes est pour les .deb, ce qui n'est pas le cas ici...
26 Novembre 2006 13:10:32

Ah ok désolé j'avais mal vu.

J'ai essayé de faire ce qu'ils disent mais je ne comprend pas..
Mon fichier désarchivé est situé en /home/ludo. Je tape donc
Citation :
xboard-4.2.7/configure --help
dans la ligne de commande comme marqué, puis je tape
Citation :
xboard-4.2.7/configure
. La deuxième commande n'a pas fonctionné comme prévu, voilà la réponse:

Citation :
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.


Que dois-je faire ?
Merci d'avance !
26 Novembre 2006 20:43:55

tu dois installer le compilateur gcc
sudo aptitude install gcc
2 Décembre 2006 21:05:14

Alors voilà, j'ai installé "le compilateur gcc", j'ai retapé les deux commandes et j'ai encore eu un message d'erreur (mais différent du précédent):
Citation :
xboard requires the X Window System header files and libraries!
They were not found on your system. See FAQ topic C.2.
configure fai


Que dois-je faire cette fois ?
Merci d'avance pour ton aide :) 
3 Décembre 2006 10:13:50

tu dois aller voir dans synaptic
(sudo synaptic)
et installer les header pour X11
(je ne suis pas sous ubuntu la, je ne peux pas te dire le package exact. ca doit etre un truc genre xorg-x11-devel)

utilise le mode recherche sous synaptic, tu devrai trouver ton bonheur...
3 Décembre 2006 12:30:44

Je suis alllé faire une recherche dans Synaptic mais j'ai pas trouvé de paquets pour X11.. il y a au moins 50 paquets pour xorg et je ne sais pas lesquels prendre..

J'ai ceux là pour xorg:

3 Décembre 2006 13:53:02

tu n'as pas du decommenter les lignes "src" dans ton fichier /etc/apt/sources.list
De ce fait tu ne trouves pas des packages...

recommence en décommentant les lignes...
3 Décembre 2006 15:07:37

Excuse moi si la question paraît stupide mais ça veut dire quoi décommanter une ligne ? :) 
3 Décembre 2006 17:38:35

enlever le "#" en debut de ligne ;) 
3 Décembre 2006 21:21:46

Ah ok !
Je suis allé dans sources.list, enlevé tous les # en début de ligne, mais je n'arrive pas à enregistrer ! Comment faire pour avoir le droit de modifier le fichier ?
3 Décembre 2006 22:39:02

il faut etre root...
sudo kate /etc/apt/sources.list
ou
sudo gedit /etc/apt/sources.list

13 Décembre 2006 18:10:48

Ah ok !
J'ai enlevé tous les # mais j'ai un msg d'erreur en ouvrant synaptic:

E: Le type « Major » est inconnu sur la ligne 4 dans la liste des sources /etc/apt/sources.list
E: Impossible de lire la liste des sources.
Vous pouvez essayer de corriger le problème en ouvrant la fenêtre des dépôts.


Je devais bien enlever tous les # ??
Merci de ta patience !
13 Décembre 2006 19:28:58

non
uniquement les lignes commencant par deb
4 Janvier 2007 14:46:47

Voilà, j'ai corrigé la panne mais j'ai toujours une bonne cinquantaine de fichier xorg... car quand je tape x11 il n'y a rien.

Merci pour ton aide !
5 Janvier 2007 07:04:13

et les lignes avec xorg ?
tu n'as rien avec "devel" ? ou "header" ?
5 Janvier 2007 11:22:56

J'en ai 42 pour header et devel et 80 pour xorg.
Tom's guide dans le monde
  • Allemagne
  • Italie
  • Irlande
  • Royaume Uni
  • Etats Unis
Suivre Tom's Guide
Inscrivez-vous à la Newsletter
  • ajouter à twitter
  • ajouter à facebook
  • ajouter un flux RSS